surf_lint_rules 1.5.0 icon indicating copy to clipboard operation
surf_lint_rules: ^1.5.0 copied to clipboard

Lint rules for "Surf" company for Dart and Flutter projects.

Surf Lint Rules #

Build Status Pub Version Pub Likes Pub popularity Dart Platform Flutter Platform

This package is part of the SurfGear toolkit made by Surf.

Surf Lint Rules

Description #

Lint rules used by "Surf".

Installation #

Add surf_lint_rules as dependency to your pubspec.yaml

dependencies:
  surf_lint_rules: $currentVersion$

At this moment, the current version of surf_lint_rules is surf_lint_rules version.

Example #

You can use both stable and dev versions of the package listed above in the badges bar.

Create analysis_options.yaml file

include: package:surf_lint_rules/analysis_options.yaml

See the dartanalyzer executing the lint checks in you favorite editor.

Changelog #

All notable changes to this project will be documented in this file.

Issues #

To report your issues, file directly in the Issues section.

Contribute #

If you would like to contribute to the package (e.g. by improving the documentation, fixing a bug or adding a cool new feature), please read our contribution guide first and send us your pull request.

Your PRs are always welcome.

How to reach us #

Please feel free to ask any questions about this package. Join our community chat on Telegram. We speak English and Russian.

Telegram

License #

Apache License, Version 2.0

22
likes
120
pub points
83%
popularity

Publisher

verified publisher iconsurf.ru

Lint rules for "Surf" company for Dart and Flutter projects.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

dart_code_metrics, flutter_lints

More

Packages that depend on surf_lint_rules